Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptix.message
Class KeyBundleMessageBuilder

    java.lang.Object
      cryptix.message.KeyBundleMessageBuilder

public class KeyBundleMessageBuilder
extends java.lang.Object

A class for building a KeyBundleMessage.

Version:
  $Revision: 1.2 $
Author:
  Edwin Woudt

Constructor Summary
`protected` | `KeyBundleMessageBuilder(KeyBundleMessageBuilderSpi builderSpi, java.security.Provider provider, java.lang.String format)` Create a new KeyBundleMessageBuilder object containing the given SPI object.

Method Summary
`Message` | `build()` Returns a message containing a keybundle.
`java.lang.String` | `getFormat()` Returns the name of the format of this object.
`static EncryptedMessageBuilder` | `getInstance(java.lang.String format)` Returns a KeyBundleMessageBuilder that implements the given format.
`static EncryptedMessageBuilder` | `getInstance(java.lang.String format, java.security.Provider provider)` Returns a KeyBundleMessageBuilder from the given provider that implements the given format.
`static EncryptedMessageBuilder` | `getInstance(java.lang.String format, java.lang.String provider)` Returns a KeyBundleMessageBuilder from the given provider that implements the given format.
`java.security.Provider` | `getProvider()` Returns the provider of this object.
`void` | `init(KeyBundle contents)` Initializes this builder with the given keybundle.
`void` | `setAttribute(java.lang.String name, java.lang.Object attr)` Set a format specific attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyBundleMessageBuilder

    protected KeyBundleMessageBuilder(KeyBundleMessageBuilderSpi builderSpi,
                                      java.security.Provider provider,
                                      java.lang.String format)

  Create a new KeyBundleMessageBuilder object containing the given SPI object.

Method Detail

### getInstance

    public static EncryptedMessageBuilder getInstance(java.lang.String format)
                                               throws java.security.NoSuchAlgorithmException

  Returns a KeyBundleMessageBuilder that implements the given format.

  Throws:
    `java.security.NoSuchAlgorithmException`

### getInstance

    public static EncryptedMessageBuilder getInstance(java.lang.String format,
                                                      java.lang.String provider)
                                               throws java.security.NoSuchAlgorithmException,
                                                      java.security.NoSuchProviderException

  Returns a KeyBundleMessageBuilder from the given provider that implements the given format.

  Throws:
    `java.security.NoSuchAlgorithmException`
    `java.security.NoSuchProviderException`

### getInstance

    public static EncryptedMessageBuilder getInstance(java.lang.String format,
                                                      java.security.Provider provider)
                                               throws java.security.NoSuchAlgorithmException

  Returns a KeyBundleMessageBuilder from the given provider that implements the given format.

  Throws:
    `java.security.NoSuchAlgorithmException`

### getProvider

    public final java.security.Provider getProvider()

  Returns the provider of this object.

### getFormat

    public final java.lang.String getFormat()

  Returns the name of the format of this object.

### init

    public final void init(KeyBundle contents)
                    throws java.lang.IllegalStateException,
                           MessageException

  Initializes this builder with the given keybundle.

  Throws:
    `java.lang.IllegalStateException` - if this message has been initialized before.
    `MessageException` - on a variety of format specific problems.

### setAttribute

    public final void setAttribute(java.lang.String name,
                                   java.lang.Object attr)
                            throws java.lang.IllegalStateException,
                                   java.lang.IllegalArgumentException,
                                   MessageException

  Set a format specific attribute.

  Parameters:
    `name` - a name identifying the attribute
    `attr` - the attribute itself
  Throws:
    `java.lang.IllegalStateException` - if this message has not been initialized before.
    `java.lang.IllegalArgumentException` - if the attribute is not supported or the given object does not have the right type.
    `MessageException` - on a variety of format specific problems.

### build

    public final Message build()
                        throws java.lang.IllegalStateException,
                               MessageException

  Returns a message containing a keybundle.

  Throws:
    `java.lang.IllegalStateException` - if this message has not been initialized before.
    `MessageException` - on a variety of format specific problems.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1999-2003 The Cryptix Foundation Ltd.